package com.example.schedulerapp;

public class Employee {
    private boolean manager;
    private final int ID;
    private String position;
    private float wage;
    private String name;
    private String number;
    private Shift[] availability;

    public Employee(String name, String position, float wage, String number, boolean manager, Shift[] availability, int ID) {
        this.manager = manager;
        this.ID = ID;
        this.position = position;
        this.wage = wage;
        this.name = name;
        this.number = number;
        this.availability = availability;
    }

    public String getPosition(){
        return this.position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public float getWage() {
        return this.wage;
    }

    public void setWage(float wage) {
        this.wage = wage;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNumber() {
        return this.number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public Shift[] getAvailability() {
        return availability;
    }

    public void setAvailability(Shift[] availability) {
        this.availability = availability;
    }

    public void setManager(boolean manager) {
        this.manager = manager;
    }

    public boolean isManager() {
        return manager;
    }

    public int getID() {
        return ID;
    }
}
